Package org.drinkless.tdlib

# Class TdApi.MessageSchedulingStateSendAtDate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageSchedulingState
org.drinkless.tdlib.TdApi.MessageSchedulingStateSendAtDate

Enclosing class:
  `TdApi`

public static class TdApi.MessageSchedulingStateSendAtDate extends TdApi.MessageSchedulingState
The message will be sent at the specified date.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageSchedulingState

  `TdApi.MessageSchedulingState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `repeatPeriod`
  Period after which the message will be sent again; in seconds; 0 if never; for Telegram Premium users only; may be non-zero only in sendMessage and forwardMessages with one message requests; must be one of 0, 86400, 7 * 86400, 14 * 86400, 30 * 86400, 91 * 86400, 182 * 86400, 365 * 86400, or additionally 60, or 300 in the Test DC.
  `int`
  `sendDate`
  Point in time (Unix timestamp) when the message will be sent.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageSchedulingStateSendAtDate()`
  The message will be sent at the specified date.
  `MessageSchedulingStateSendAtDate(int sendDate, int repeatPeriod)`
  The message will be sent at the specified date.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sendDate

    public int sendDate
    Point in time (Unix timestamp) when the message will be sent. The date must be within 367 days in the future.

  - ### repeatPeriod

    public int repeatPeriod
    Period after which the message will be sent again; in seconds; 0 if never; for Telegram Premium users only; may be non-zero only in sendMessage and forwardMessages with one message requests; must be one of 0, 86400, 7 * 86400, 14 * 86400, 30 * 86400, 91 * 86400, 182 * 86400, 365 * 86400, or additionally 60, or 300 in the Test DC.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageSchedulingStateSendAtDate

    public MessageSchedulingStateSendAtDate()
    The message will be sent at the specified date.

  - ### MessageSchedulingStateSendAtDate

    public MessageSchedulingStateSendAtDate(int sendDate, int repeatPeriod)
    The message will be sent at the specified date.
    Parameters:
      `sendDate` - Point in time (Unix timestamp) when the message will be sent. The date must be within 367 days in the future.
      `repeatPeriod` - Period after which the message will be sent again; in seconds; 0 if never; for Telegram Premium users only; may be non-zero only in sendMessage and forwardMessages with one message requests; must be one of 0, 86400, 7 * 86400, 14 * 86400, 30 * 86400, 91 * 86400, 182 * 86400, 365 * 86400, or additionally 60, or 300 in the Test DC.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageSchedulingState`
    Returns:
      this.CONSTRUCTOR